python scrapy 安装不成功:无法打开或找到openssl/aes.h文件

mango1993 发布于 2015/03/09 15:37
阅读 2K+
收藏 0

最近在学习用scrapy,捣腾了两天都没装上scrapy,麻烦有经验的前辈帮忙看看该怎么解决

我已经安装了zope.interface,lxml,libxml2,twisted,w3lib,openssl,而且都可以成功引用了,如下:

这上面的scrapy我是用的:Scrapy-0.14.3.win32.exe安装的,但是我没法建立scrapy工程:

然后我又在官网上下载了 Scrapy-0.14.4.tar, 在该目录下 python setup.py install,会出现下面的错误:

我是新手,很多东西都不太清楚,但是我明明就是按照网上的教程来安装的啊,为什么会出现这么奇葩的现象呢?麻烦有经验的人解释解释,在此先谢过了!~

加载中
0
orangleliu
orangleliu
用exe安装应该那个是不是没有加入到path路径?
mango1993
mango1993
我尝试着加到path中了但是还是无法建立scrapy工程,除了用linux就没有别的办法了吗?这不科学啊。。。
0
orangleliu
orangleliu
win下openssl很难用,你装了python库也不行啊,c的依赖库没有。
0
orangleliu
orangleliu
最好用linux
0
sidney9111
sidney9111

我的是python2.7.4 ,python及其开源项目版本比较大问题呢,python主要是3.x和2.7这两个版本,很多都不兼容的,网上很多文章错就错在这里,不是说他们错,就是说写文章的人没有标明是什么版本,什么原理不行,出错了怎么排错。

http://www.cnblogs.com/txw1958/archive/2012/07/12/scrapy_installation_introduce.html

以上这个教程,就是我这2天在用的,能行,其他文章就算官网的例子也不靠谱的。

但是本人写程序快10年了吧,从未学过python,半年前,配python + Django环境没配好,所以这半年都没搞python了,这一年在写lua脚本,所以2015年了,对python基本都能猜出来。所以配置也没有很大问题

mango1993
mango1993
谢谢, 我已经配置好环境了
0
sidney9111
sidney9111

引用来自“orangleliu”的评论

win下openssl很难用,你装了python库也不行啊,c的依赖库没有。

这位哥哥可能是对的,网上很多文章是linux,搞死你,搞windows的会说这样的话“dir 是windows,可以这么用,linux就不能了,请注意”,但是看看linux的人怎么说话的,

“./log ”,


">"

后面巴拉巴拉说一大推编程语句,啊, 这个只能在linux用么? windows怎么这么难用,管它去死呢

什么样的人出什么样的程序

愿共同学习者共勉之。。。。。。

0
z
zhengxbi
我也遇到了相同的问题,你是怎么解决的?
返回顶部
顶部